%define major 2
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	A library for audio labelling
Name:		aubio
Version:	0.3.2
Release:	%mkrel 6
License:	GPLv2+
Group:		Sound
Url:		http://aubio.org/
Source0:	http://aubio.org/pub/aubio-0.3.2.tar.xz
Patch0:		%{name}-0.3.2-format_not_a_string_literal_and_no_format_arguments.patch
BuildRequires:	%{_lib}fftw-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	%{_lib}alsa2-devel
BuildRequires:	swig
BuildRequires:	liblash2-devel
BuildRequires:	pd-devel
Requires:	%{libname} = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
A library for audio labelling. Its features include segmenting 
a sound file before each of its attacks, performing pitch 
detection, tapping the beat and producing midi streams from 
live audio. The name aubio comes from 'audio' with a typo: 
several transcription errors are likely to be found in the 
results too.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n %{libname}
Main library for %{name}.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files and headers for %{name}.

%package -n python-%{name}
Summary:	Python bindings for %{name}
Group:		Development/Python
Requires:	%{libname} = %{version}-%{release}
%py_requires -d

%description -n python-%{name}
Python bindings for %{name}.

%package audacity-plugin
Summary:  Aubio patches for using as audacity plugin
Group:    Sound
Requires: %{name} = %{version}
Requires: audacity

%description audacity-plugin
This directory contains 2 patches for audacity and a nyquist plugin.

%prep
%setup -q
%patch0 -p1

%build
%define _disable_ld_no_undefined 1
export CPPFLAGS="%{optflags} -I%{_includedir}/pd"
%configure2_5x --disable-static

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%ifarch x86_64
mv -f %{buildroot}%{_prefix}/lib/pd %{buildroot}%{_libdir}/pd
%endif

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README THANKS TODO
%{_bindir}/*
%{_datadir}/sounds/*
%{_datadir}/man/man1

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*
%{_libdir}/pd
                  
%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/*.so

%{_libdir}/pkgconfig/*.pc

%files -n python-%{name}
%defattr(-,root,root)
%{python_sitelib}/*

%files -n aubio-audacity-plugin
%defattr(0644, root, root, 0755)
%doc plugins/audacity


%changelog
* Sun Aug 18 2013 billybot <billybot> 0.3.2-6pclos2013
- update python 2.7

* Wed Nov 23 2011 Archie Arevalo <pclinuxos.ph at gmail.com> 0.3.2-5pclos2010
- Rebuild for x86_64

* Sat Sep 04 2010 Texstar <texstar at gmail.com> 0.3.2-4pclos2010
- rebuild

* Mon Jul 20 2009 pcserver <pcserver@hushmail.com> 0.3.2-3pclos2009
- rebuild


